package com.bc_chat.im.dataSource

import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.google.gson.JsonObject
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/3/5
 * email：526309416@qq.com
 * desc：删除收藏
 */
class DelCollectionTask constructor(var id:Int) : RxDataAsyncTask<JsonObject, ResultEntity<JsonObject>>() {
    //cuid	int	是	被获取资料用户id
    override fun loadDataAsyncTask(): Flowable<ResultEntity<JsonObject>>? {
        val params: MutableMap<String, Any?> = mutableMapOf("id" to id)
        return RetrofitHelper.api.delCollection(Encryption.encryption(params))
    }
}
